Subject: bug#52475: [Question] About CSS prefers-color-scheme render in icecat

From: morisum <[email-masked]>
Date: Tue, 14 Dec 2021 00:44:26 +0000

Hi all,

I tried to use icecat with dark mode; however, the website page won't automatically change to dark mode as expected. To be more specific the "prefers-color-scheme:dark" in CSS (https://developer.mozilla.org/en-US/docs/Web/CSS/@media/prefers-color-scheme). I tried multiple versions on multiple distros to recreate test this; however, none of it works.

Here is a list of all the test I did:

guix (icecat 78.10.0-guix0-preview1)

guix (icecat 91.4.0-guix0-preview1)

parabola (78.10.0_pre2-1)

arch (91.40 compiled from source)

arch (78.10 compiled from aur)

ubuntu20.04 (install from https://gnu.freemirror.org/gnu/gnuzilla/60.7.0/)

I tried to use the system dark mode settings (for example, in ubuntu), or the adwaita-dark theme, as well as to config the gtk3 directly under ~/.config/gtk-3.0/settings.ini with gtk-application-prefer-dark-theme=1 or gtk-application-prefer-dark-theme=true. I also tried to set ui.systemUsesDarkTheme=1 and other settings in the about:config. But none of those behave as expected.

All the distros are freshly installed; you can use the official qemu image from arch (https://gitlab.archlinux.org/archlinux/arch-boxes/-/jobs/41421/artifacts/file/output/Arch-Linux-x86_64-basic-20211212.41421.qcow2) or guix (https://ftp.gnu.org/gnu/guix/guix-system-vm-image-1.3.0.x86_64-linux.qcow2) to recreate this situation.

I think this might be a missing feature? Can someone check what the problem is? Would you please let me know if there is anything else I need to provide?
Thanks in advance!

morisum